CookieProcessorBase (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.tomcat.util.http

## Class CookieProcessorBase

- java.lang.Object
- - org.apache.tomcat.util.http.CookieProcessorBase

- All Implemented Interfaces:
    `CookieProcessor`
  Direct Known Subclasses:
    `LegacyCookieProcessor`, `Rfc6265CookieProcessor`

      public abstract class CookieProcessorBase
      extends Object
      implements CookieProcessor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `ANCIENT_DATE` |
    `protected static ThreadLocal<DateFormat>` | `COOKIE_DATE_FORMAT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CookieProcessorBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `generateHeader​(Cookie cookie, HttpServletRequest request)` | Deprecated. This implementation calls the deprecated `CookieProcessor.generateHeader(Cookie)` method.
    `SameSiteCookies` | `getSameSiteCookies()` |
    `void` | `setSameSiteCookies​(String sameSiteCookies)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tomcat.util.http.CookieProcessor

      `generateHeader, getCharset, parseCookieHeader`

- - ### Field Detail

    - #### COOKIE_DATE_FORMAT

          protected static final ThreadLocal<DateFormat> COOKIE_DATE_FORMAT

    - #### ANCIENT_DATE

          protected static final String ANCIENT_DATE

  - ### Constructor Detail

    - #### CookieProcessorBase

          public CookieProcessorBase()

  - ### Method Detail

    - #### getSameSiteCookies

          public SameSiteCookies getSameSiteCookies()

    - #### setSameSiteCookies

          public void setSameSiteCookies​(String sameSiteCookies)

    - #### generateHeader

          @Deprecated
          public String generateHeader​(Cookie cookie,
                                       HttpServletRequest request)

      Deprecated.
      This implementation calls the deprecated `CookieProcessor.generateHeader(Cookie)` method. Implementors should not rely on this method as it is present only for transitional compatibility and will be removed in Tomcat 9.
      Generate the `Set-Cookie` HTTP header value for the given Cookie. This method receives as parameter the servlet request so that it can make decisions based on request properties. One such use-case is decide if the SameSite attribute should be added to the cookie based on the User-Agent or other request header because there are browser versions incompatible with the SameSite attribute. This is described by the Chromium project.
      Specified by:
        `generateHeader` in interface `CookieProcessor`
      Parameters:
        `cookie` - The cookie for which the header will be generated
        `request` - The servlet request
      Returns:
        The header value in a form that can be added directly to the response